Subject: bug#12419: Mouse click changes layout

From: martin rudalics <[email-masked]>
Date: Wed, 26 Sep 2012 15:44:43 +0200

>> In this case the TTY equivalent would display (6, 5) lines.
 >
 > Yes.  Is that a problem?

Not principally.  At least nothing we should care about initially.

 > pos-visible-in-window-p can still tell
 > whether the resize reached its goal of exposing the text you want, no?

I didn't care about `pos-visible-in-window-p' in this example.

 > I think the loop isn't needed for the application you have in mind.
 > But if it is, can you show a concrete use case where just using that
 > function gives bad results for measuring pixel distance between buffer
 > positions?

I didn't write that loop (IIRC Kenichi Handa wrote it).  The sheer
presence of it however seems to indicate that `pos-visible-in-window-p'
might have given an off-by-one-line answer when `point' is on the last
line of a window, at least back in 2000.  Maybe this a non-issue now.

martin